Subject: Re: bug#73820: 31.0.50; [Feature Request]how to hide *Completions* buffer when icomplete-in-buffer is not nil

From: Eshel Yaron <[email-masked]>
Date: Wed, 16 Oct 2024 11:36:05 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Eshel Yaron <[email-masked]>
>> Cc: [email-masked],  [email-masked], Sean Whitton <[email-masked]>,
>>  Juri Linkov <[email-masked]>
>> Date: Wed, 16 Oct 2024 09:37:19 +0200
>> 
>> >> Right.  This is also stated in NEWS.
>> >
>> > If this is important enough, it should be in the doc string.  So I've
>> > now added this tip to the doc string, and I'm therefore closing this
>> > bug.
>> 
>> Hmm, I'm not sure that that's really such a good recommendation.  Adding
>> this advice breaks M-: completion, for example.  I think a more refined
>> solution is due, if this is to be considered a supported use case...
>> Namely, I suggest implementing icomplete-in-buffer as a
>> completion-in-region-function, like some other in-buffer completion
>> frontends are implemented.
>
> Of course, a better solution, especially if it is not based on
> advising functions, are always welcome.  But I'm guessing the solution
> you have in mind is not for the release branch, though?

Right, it'd probably be too big of a change to make it into Emacs 30.